summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJodok Batlogg <batlogg@gentoo.org>2004-07-24 23:45:46 +0000
committerJodok Batlogg <batlogg@gentoo.org>2004-07-24 23:45:46 +0000
commitf0006b5c537e297eb584d748587e8ae85d9dc89f (patch)
tree90add5658ec9b551daa8ce29121670957f31a408 /net-zope
parentUse emake -j1 for security stuff #58049 (Manifest recommit) (diff)
downloadgentoo-2-f0006b5c537e297eb584d748587e8ae85d9dc89f.tar.gz
gentoo-2-f0006b5c537e297eb584d748587e8ae85d9dc89f.tar.bz2
gentoo-2-f0006b5c537e297eb584d748587e8ae85d9dc89f.zip
improving initscript
Diffstat (limited to 'net-zope')
-rw-r--r--net-zope/zope/ChangeLog5
-rw-r--r--net-zope/zope/files/2.7.2/zope.initd75
2 files changed, 62 insertions, 18 deletions
diff --git a/net-zope/zope/ChangeLog b/net-zope/zope/ChangeLog
index a2e512b88ccb..60034e77d534 100644
--- a/net-zope/zope/ChangeLog
+++ b/net-zope/zope/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for net-zope/zope
# Copyright 2002-2004 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-zope/zope/ChangeLog,v 1.35 2004/07/24 22:29:37 batlogg Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-zope/zope/ChangeLog,v 1.36 2004/07/24 23:45:46 batlogg Exp $
+
+ 25 Jul 2004; Jodok Batlogg <batlogg@gentoo.org>; :
+ improving initscript
25 Jul 2004; Jodok Batlogg <batlogg@gentoo.org>; :
cleaning up
diff --git a/net-zope/zope/files/2.7.2/zope.initd b/net-zope/zope/files/2.7.2/zope.initd
index 65d495049227..d1526095c5fe 100644
--- a/net-zope/zope/files/2.7.2/zope.initd
+++ b/net-zope/zope/files/2.7.2/zope.initd
@@ -1,18 +1,59 @@
-#!/sbin/runscript
-# Zope rc-script for Gentoo Linux
-# Copyright 2004 Jodok Batlogg <batlogg@gentoo.org>
-# Distributed under the terms of the GNU General Public License, v2 or later.
-# $Header: /var/cvsroot/gentoo-x86/net-zope/zope/files/2.7.2/zope.initd,v 1.1 2004/07/24 21:32:42 batlogg Exp $
-
-# simple wrapper to zopectl script
-case $1 in
- kill|quit|run|start|reload|status|help|restart|show|stop)
- echo "$1(ing) zope in ${INSTANCE_HOME}"
- ${INSTANCE_HOME}/bin/zopectl $1
- ;;
- *)
- echo "Usage: $0 {kill|quit|run|start|reload|status|help|restart|show|stop}"
- ;;
-
-esac
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-zope/zope/files/2.7.2/zope.initd,v 1.2 2004/07/24 23:45:46 batlogg Exp $
+
+opts="start stop restart kill quit reload status help"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl stop
+ eend $?
+}
+
+restart() {
+ ebegin "Restarting Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl restart
+ eend $?
+}
+
+kill() {
+ ebegin "Killing Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl kill
+ eend $?
+}
+
+quit() {
+ ebegin "Quitting Zope Daemon Manager INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl quit
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading Zope config in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl reload
+ eend $?
+}
+
+status() {
+ ebegin "Status of Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl status
+ eend $?
+}
+
+help() {
+ ebegin "Help for Zope Daemon Manager in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl help
+ eend $?
+}